For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • GETRetrieve a contract
      • GETRetrieve a contract offer checklist
      • GETRetrieve a contract acceptance checklist
      • POSTUpdate a contract's custom fields
      • POSTUpdate a contract's purchase order
      • GETRetrieve a contract's timesheets
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIContracts

Update a contract's custom fields

POST
https://api.yunojuno.com/contracts/:contract_id/custom_fields/
POST
/contracts/:contract_id/custom_fields/
$curl -X POST https://api.yunojuno.com/contracts/contract_id/custom_fields/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "custom_fields": [
> {
> "name": "string",
> "value": "string"
> }
> ]
>}'
200Successful
1{
2 "data": {
3 "contract_id": "string",
4 "freelancer": {
5 "freelancer_id": "string",
6 "first_name": "string",
7 "last_name": "string",
8 "full_name": "string",
9 "email": "string",
10 "date_of_birth": "2023-01-15",
11 "legal_name": "string"
12 },
13 "freelancer_operating_jurisdiction": {
14 "name": "string",
15 "country_code": "string"
16 },
17 "freelancer_personal_tax_jurisdiction": {
18 "name": "string",
19 "country_code": "string"
20 },
21 "client": {
22 "client_id": "string",
23 "name": "string"
24 },
25 "client_contact": {
26 "client_contact_id": "string",
27 "freelancer_id": "string",
28 "custom_fields": [
29 {
30 "name": "string",
31 "value": "string",
32 "metadata": null
33 }
34 ],
35 "url": "string"
36 },
37 "hirers": [
38 {
39 "hirer_id": "string",
40 "first_name": "string",
41 "last_name": "string",
42 "full_name": "string",
43 "email": "string"
44 }
45 ],
46 "title": "string",
47 "job_title": "string",
48 "description": "string",
49 "start_date": "2023-01-15",
50 "end_date": "2023-01-15",
51 "actual_end_date": "string",
52 "rate": {
53 "value": "string",
54 "unit": "string",
55 "currency": "AUD"
56 },
57 "work_time_type": "string",
58 "fee_schedule": {
59 "periods": [
60 {
61 "effective_from": "2023-01-15",
62 "fees": [
63 {
64 "percentage": "string",
65 "value": "string",
66 "currency": "string",
67 "name": "string"
68 }
69 ],
70 "total_fees": {
71 "currency": "string",
72 "value": "string"
73 },
74 "total_cost": {
75 "currency": "string",
76 "value": "string"
77 }
78 }
79 ]
80 },
81 "notice_period_days": 1,
82 "work_location": "string",
83 "minutes_in_working_day": 1,
84 "custom_fields": [
85 {
86 "name": "string",
87 "value": "string",
88 "metadata": null
89 }
90 ],
91 "spend_request": {
92 "spend_request_id": "string",
93 "url": "string",
94 "external_id": "string",
95 "title": "string",
96 "description": "string",
97 "amount": "string",
98 "amount_type": "DAY_RATE",
99 "currency": "AUD",
100 "custom_fields": [
101 {
102 "name": "string",
103 "value": "string",
104 "metadata": null
105 }
106 ]
107 },
108 "renewal_meta": {
109 "is_initial_contract": true,
110 "is_renewal": true,
111 "has_subsequent_renewal": true,
112 "initial_contract_id": "string",
113 "parent_contract_id": "string",
114 "renewal_chain_position": 1,
115 "renewal_chain": [
116 "string"
117 ]
118 },
119 "historical_meta": {
120 "has_previously_accepted_contract": true
121 },
122 "url": "string"
123 }
124}

Update the custom fields for a contract.

Custom fields are client-defined metadata configured on your YunoJuno account (for example cost centres, project codes or internal tags). Only the fields supplied are validated and updated; required fields not included in the request are left unchanged.

Was this page helpful?
Previous

Update a contract's purchase order

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contract_idstringRequiredformat: "^ct_c[a-z0-9]{24}$"

Request

This endpoint expects an object.
custom_fieldslist of objectsRequired
An array of custom fields to update for the contract.

Response

dataobject
The contract object. This objects represents a contract on the YunoJuno platform between a client and a freelancer.